Subject: Re: [DNSOP] DNSOP Digest, Vol 122, Issue 24

From: Viktor Dukhovni <[email-masked]>
Date: Thu, 26 Jan 2017 18:51:13 -0500

> On Jan 23, 2017, at 3:00 PM, [email-masked] wrote:
> 
> I've been following this discussion and have taken a few weeks to think
> about the comments rendered here in some depth.  I find that I most agree
> with this statement:
> 
> On Tue, Dec 20, 2016 at 10:53:39PM +0000, Warren Kumari wrote:
>> I believe that RPZ (and the DNS lies which it creates) is evil --
>> unfortunately we live in a world where this is a necessary evil.
> 
> I started studying the use of domains by spammers 15 years ago.
> I expanded that study to phishers, typosquatters, domaineers, malware
> distributors, etc. as it became excruciatingly clear that these are
> quite often the same people or operations.  (See "Sanford Wallace"
> for one of the canonical examples.)
> 
> It's become clear to me that most Internet domains are malicious.
> In the new TLDs, "most" asymptotically approaches "all".

ISPs that provide DNS recursive servers to consumers will undoubtedly
use all the means at their disposal to manage their networks.

The question in my mind is not whether they will often find DNS filtering
both useful and necessary, but rather whether there needs to be a standard[1]
mechanism for sharing DNS policy (mis)information, and what form any
such "standard" might then take.

If the proposed work is to just document the RPZ format as-is, then why
is IETF involvement required?  If the proposed work is to address the
underlying needs, then discussion of how the format might be modified
to reduce harm seems to be in scope...

-- 
	Viktor.

[1] Or even an informational RFC, since sadly many don't pay close attention
to the distinction between standards-track and informational RFCs.